This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 732182 - [abrt] lxtask-0.1.3-2.fc15: strcmp: Process /usr/bin/lxtask was killed by signal 11 (SIGSEGV)
[abrt] lxtask-0.1.3-2.fc15: strcmp: Process /usr/bin/lxtask was killed by sig...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: lxtask (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
https://sourceforge.net/tracker/?func...
abrt_hash:86362b0d665977334a18d43cfa6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-20 07:40 EDT by Misha Shnurapet
Modified: 2012-03-17 20:02 EDT (History)
3 users (show)

See Also:
Fixed In Version: lxtask-0.1.4-2.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-03 14:42:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (64.33 KB, text/plain)
2011-08-20 07:40 EDT, Misha Shnurapet
no flags Details
Remove timer handler in on_quit() (601 bytes, patch)
2011-09-10 11:07 EDT, masami256
no flags Details | Diff

  None (edit)
Description Misha Shnurapet 2011-08-20 07:40:07 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        lxtask
comment:        Closed it with Alt+F4.
component:      lxtask
crash_function: strcmp
executable:     /usr/bin/lxtask
kernel:         2.6.40-4.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        lxtask-0.1.3-2.fc15
reason:         Process /usr/bin/lxtask was killed by signal 11 (SIGSEGV)
time:           Sat Aug 20 19:18:35 2011
uid:            500
username:       misha

backtrace:      Text file, 65871 bytes

dso_list:
:/usr/lib/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.i686 (Fedora Project) 1311090108
:/usr/lib/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.17-1.fc15.i686 (Fedora Project) 1313225862
:/usr/lib/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1307791534
:/lib/libutil-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/lib/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1308760055
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1305315794
:/usr/lib/libXext.so.6.4.0 libXext-1.2.0-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1308760055
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/share/locale/ru/LC_MESSAGES/glib20.mo glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307791524
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/lib/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.i686 (Fedora Project) 1305315772
:/lib/libcrypt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/lib/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.i686 (Fedora Project) 1305315773
:/usr/share/locale/ru/LC_MESSAGES/gdk-pixbuf.mo gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1309268483
:/usr/lib/locale/locale-archive glibc-common-2.14-5.i686 (Fedora Project) 1313225695
:/usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.i686 (Fedora Project) 1305315858
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307791524
:/usr/share/locale/ru/LC_MESSAGES/libc.mo glibc-common-2.14-5.i686 (Fedora Project) 1313225695
:/usr/lib/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.i686 (Fedora Project) 1305315773
:/lib/libm-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/share/locale/ru/LC_MESSAGES/gtk20.mo gtk2-2.24.4-2.fc15.i686 (Fedora Project) 1308760055
:/usr/share/locale/ru/LC_MESSAGES/lxtask.mo lxtask-0.1.3-2.fc15.i686 (Fedora Project) 1307636401
:/usr/lib/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305315771
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307791524
:/usr/lib/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.i686 (Fedora Project) 1305315862
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/lib/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.i686 (Fedora Project) 1309268483
:/usr/lib/libxcb.so.1.1.0 libxcb-1.7-2.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/freetype-freeworld/libfreetype.so.6.6.2 freetype-freeworld-2.4.4-3.fc15.i686 (RPM Fusion) 1306604609
:/usr/lib/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.i686 (Fedora Project) 1305315796
:/lib/libnss_files-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/lib/libXau.so.6.0.0 libXau-1.0.6-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.i686 (Fedora Project) 1312385204
:/usr/lib/libXi.so.6.1.0 libXi-1.4.3-1.fc15.i686 (Fedora Project) 1308229892
:/usr/lib/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1305315770
:/lib/libudev.so.0.11.1 libudev-167-4.fc15.i686 (Fedora Project) 1305315771
:/usr/share/locale/ru/LC_MESSAGES/atk10.mo atk-2.0.0-1.fc15.i686 (Fedora Project) 1305315772
:/usr/lib/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.i686 (Fedora Project) 1305315846
:/usr/lib/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.i686 (Fedora Project) 1307791534
:/usr/lib/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.i686 (Fedora Project) 1305315858
:/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.32.0-6.fc15.noarch (Fedora Project) 1305315863
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307791524
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307791524
:/usr/lib/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.i686 (Fedora Project) 1312385203
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/lib/gconv/gconv-modules.cache glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/lib/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.i686 (Fedora Project) 1305315774
:/usr/lib/libX11.so.6.3.0 libX11-1.4.3-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.i686 (Fedora Project) 1305315807
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313225712
:/usr/lib/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.i686 (Fedora Project) 1305315773
:/usr/bin/lxtask lxtask-0.1.3-2.fc15.i686 (Fedora Project) 1307636401
:/lib/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.i686 (Fedora Project) 1309268514
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1307791524
:/usr/lib/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.i686 (Fedora Project) 1305315773
:/lib/libexpat.so.1.5.2 expat-2.0.1-11.fc15.i686 (Fedora Project) 1305315771
:/usr/lib/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.i686 (Fedora Project) 1305315773
:/usr/lib/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.i686 (Fedora Project) 1305315798
:/usr/lib/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.i686 (Fedora Project) 1305315772

environ:
:XDG_SESSION_ID=2
:HOSTNAME=mini
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=fabecd8ac9d4028cc59b3d6500000012-1313652423.989886-271866229
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/tmp/keyring-wuAQoy
:QTINC=/usr/lib/qt-3.3/include
:'IMSETTINGS_MODULE=X compose table'
:USER=misha
:USERNAME=misha
:MAIL=/var/spool/mail/misha
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/misha/bin:/home/misha/.local/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/misha
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=2851
:LANG=ru_RU.utf8
:GDM_LANG=ru_RU.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/misha
:SHLVL=1
:LOGNAME=misha
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-4R3Fejof3v,guid=9cfe7b645c0decff80250b3100000065
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/misha
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/var/run/gdm/auth-for-misha-Ikp6QM/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2859,unix/unix:/tmp/.ICE-unix/2859
:ORBIT_SOCKETDIR=/tmp/orbit-misha
:GPG_AGENT_INFO=/tmp/keyring-wuAQoy/gpg:0:1
:SSH_AUTH_SOCK=/tmp/keyring-wuAQoy/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-3072-mini-lxtask-32_TIME179580818
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-lxtask.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=16204

maps:
:00110000-00126000 r-xp 00000000 08:01 152704     /usr/lib/libgvfscommon.so.0.0.0
:00126000-00127000 rw-p 00016000 08:01 152704     /usr/lib/libgvfscommon.so.0.0.0
:00127000-00129000 r-xp 00000000 08:01 29767      /lib/libutil-2.14.so
:00129000-0012a000 r--p 00001000 08:01 29767      /lib/libutil-2.14.so
:0012a000-0012b000 rw-p 00002000 08:01 29767      /lib/libutil-2.14.so
:00226000-00231000 r-xp 00000000 08:01 14982      /lib/libnss_files-2.14.so
:00231000-00232000 r--p 0000a000 08:01 14982      /lib/libnss_files-2.14.so
:00232000-00233000 rw-p 0000b000 08:01 14982      /lib/libnss_files-2.14.so
:0057d000-0057e000 r-xp 00000000 00:00 0          [vdso]
:008f3000-008f8000 r-xp 00000000 08:01 44897      /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
:008f8000-008f9000 rw-p 00004000 08:01 44897      /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
:00cbf000-00cc1000 r-xp 00000000 08:01 25320      /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
:00cc1000-00cc2000 rw-p 00002000 08:01 25320      /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
:00d33000-00d5d000 r-xp 00000000 08:01 159983     /usr/lib/gio/modules/libgvfsdbus.so
:00d5d000-00d5e000 rw-p 0002a000 08:01 159983     /usr/lib/gio/modules/libgvfsdbus.so
:00e6c000-00e9a000 r-xp 00000000 08:01 45244      /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
:00e9a000-00e9b000 rw-p 0002d000 08:01 45244      /usr/lib/gtk-2.0/2.10.0/engines/libclearlooks.so
:08048000-08051000 r-xp 00000000 08:01 184592     /usr/bin/lxtask
:08051000-08054000 rw-p 00008000 08:01 184592     /usr/bin/lxtask
:0854e000-08c7c000 rw-p 00000000 00:00 0          [heap]
:47081000-4709e000 r-xp 00000000 08:01 1893       /lib/ld-2.14.so
:4709e000-4709f000 r--p 0001d000 08:01 1893       /lib/ld-2.14.so
:4709f000-470a0000 rw-p 0001e000 08:01 1893       /lib/ld-2.14.so
:470a2000-47227000 r-xp 00000000 08:01 2076       /lib/libc-2.14.so
:47227000-47228000 ---p 00185000 08:01 2076       /lib/libc-2.14.so
:47228000-4722a000 r--p 00185000 08:01 2076       /lib/libc-2.14.so
:4722a000-4722b000 rw-p 00187000 08:01 2076       /lib/libc-2.14.so
:4722b000-4722e000 rw-p 00000000 00:00 0 
:47230000-47246000 r-xp 00000000 08:01 2081       /lib/libpthread-2.14.so
:47246000-47247000 r--p 00015000 08:01 2081       /lib/libpthread-2.14.so
:47247000-47248000 rw-p 00016000 08:01 2081       /lib/libpthread-2.14.so
:47248000-4724a000 rw-p 00000000 00:00 0 
:4724c000-4724f000 r-xp 00000000 08:01 15183      /lib/libdl-2.14.so
:4724f000-47250000 r--p 00002000 08:01 15183      /lib/libdl-2.14.so
:47250000-47251000 rw-p 00003000 08:01 15183      /lib/libdl-2.14.so
:47253000-4725a000 r-xp 00000000 08:01 2309       /lib/librt-2.14.so
:4725a000-4725b000 r--p 00006000 08:01 2309       /lib/librt-2.14.so
:4725b000-4725c000 rw-p 00007000 08:01 2309       /lib/librt-2.14.so
:4725e000-47286000 r-xp 00000000 08:01 2080       /lib/libm-2.14.so
:47286000-47287000 r--p 00028000 08:01 2080       /lib/libm-2.14.so
:47287000-47288000 rw-p 00029000 08:01 2080       /lib/libm-2.14.so
:4728a000-472a6000 r-xp 00000000 08:01 26021      /lib/libgcc_s-4.6.0-20110603.so.1
:472a6000-472a7000 rw-p 0001b000 08:01 26021      /lib/libgcc_s-4.6.0-20110603.so.1
:472a9000-472be000 r-xp 00000000 08:01 25918      /lib/libz.so.1.2.5
:472be000-472bf000 rw-p 00014000 08:01 25918      /lib/libz.so.1.2.5
:472c1000-473d9000 r-xp 00000000 08:01 6628       /lib/libglib-2.0.so.0.2800.8
:473d9000-473da000 rw-p 00118000 08:01 6628       /lib/libglib-2.0.so.0.2800.8
:473dc000-473f9000 r-xp 00000000 08:01 26077      /lib/libselinux.so.1
:473f9000-473fa000 r--p 0001c000 08:01 26077      /lib/libselinux.so.1
:473fa000-473fb000 rw-p 0001d000 08:01 26077      /lib/libselinux.so.1
:473fd000-47401000 r-xp 00000000 08:01 11214      /lib/libgthread-2.0.so.0.2800.8
:47401000-47402000 rw-p 00003000 08:01 11214      /lib/libgthread-2.0.so.0.2800.8
:47404000-4741a000 r-xp 00000000 08:01 26076      /lib/libresolv-2.14.so
:4741a000-4741b000 r--p 00016000 08:01 26076      /lib/libresolv-2.14.so
:4741b000-4741c000 rw-p 00017000 08:01 26076      /lib/libresolv-2.14.so
:4741c000-4741e000 rw-p 00000000 00:00 0 
:47420000-4746c000 r-xp 00000000 08:01 11215      /lib/libgobject-2.0.so.0.2800.8
:4746c000-4746e000 rw-p 0004b000 08:01 11215      /lib/libgobject-2.0.so.0.2800.8
:47470000-47473000 r-xp 00000000 08:01 25574      /lib/libgmodule-2.0.so.0.2800.8
:47473000-47474000 rw-p 00002000 08:01 25574      /lib/libgmodule-2.0.so.0.2800.8
:47476000-475a0000 r-xp 00000000 08:01 26919      /lib/libgio-2.0.so.0.2800.8
:475a0000-475a3000 rw-p 00129000 08:01 26919      /lib/libgio-2.0.so.0.2800.8
:475a3000-475a4000 rw-p 00000000 00:00 0 
:475a6000-475a8000 r-xp 00000000 08:01 134839     /usr/lib/libXau.so.6.0.0
:475a8000-475a9000 rw-p 00001000 08:01 134839     /usr/lib/libXau.so.6.0.0
:475ab000-475c8000 r-xp 00000000 08:01 137746     /usr/lib/libxcb.so.1.1.0
:475c8000-475c9000 rw-p 0001d000 08:01 137746     /usr/lib/libxcb.so.1.1.0
:475cb000-47700000 r-xp 00000000 08:01 137922     /usr/lib/libX11.so.6.3.0
:47700000-47704000 rw-p 00134000 08:01 137922     /usr/lib/libX11.so.6.3.0
:47706000-47716000 r-xp 00000000 08:01 138366     /usr/lib/libXext.so.6.4.0
:47716000-47717000 rw-p 00010000 08:01 138366     /usr/lib/libXext.so.6.4.0
:47719000-4773f000 r-xp 00000000 08:01 25917      /lib/libexpat.so.1.5.2
:4773f000-47741000 rw-p 00026000 08:01 25917      /lib/libexpat.so.1.5.2
:47743000-477d9000 r-xp 00000000 08:01 393629     /usr/lib/freetype-freeworld/libfreetype.so.6.6.2
:477d9000-477dd000 rw-p 00096000 08:01 393629     /usr/lib/freetype-freeworld/libfreetype.so.6.6.2
:477df000-477e3000 r-xp 00000000 08:01 142556     /usr/lib/libXfixes.so.3.1.0
:477e3000-477e4000 rw-p 00003000 08:01 142556     /usr/lib/libXfixes.so.3.1.0
:477e6000-47819000 r-xp 00000000 08:01 134837     /usr/lib/libfontconfig.so.1.4.4
:47819000-4781a000 rw-p 00033000 08:01 134837     /usr/lib/libfontconfig.so.1.4.4
:4781c000-47844000 r-xp 00000000 08:01 134838     /usr/lib/libpng12.so.0.46.0
:47844000-47845000 rw-p 00027000 08:01 134838     /usr/lib/libpng12.so.0.46.0
:47847000-47855000 r-xp 00000000 08:01 139108     /usr/lib/libXi.so.6.1.0
:47855000-47856000 rw-p 0000d000 08:01 139108     /usr/lib/libXi.so.6.1.0
:47858000-47861000 r-xp 00000000 08:01 137925     /usr/lib/libXrender.so.1.3.0
:47861000-47862000 rw-p 00008000 08:01 137925     /usr/lib/libXrender.so.1.3.0
:47864000-478db000 r-xp 00000000 08:01 134836     /usr/lib/libpixman-1.so.0.20.2
:478db000-478df000 rw-p 00076000 08:01 134836     /usr/lib/libpixman-1.so.0.20.2
:478e1000-47903000 r-xp 00000000 08:01 144092     /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:47903000-47904000 rw-p 00021000 08:01 144092     /usr/lib/libgdk_pixbuf-2.0.so.0.2300.3
:47906000-479ba000 r-xp 00000000 08:01 137946     /usr/lib/libcairo.so.2.11000.2
:479ba000-479bc000 rw-p 000b3000 08:01 137946     /usr/lib/libcairo.so.2.11000.2
:479bc000-479be000 rw-p 00000000 00:00 0 
:479c0000-479c9000 r-xp 00000000 08:01 143001     /usr/lib/libXcursor.so.1.0.2
:479c9000-479ca000 rw-p 00008000 08:01 143001     /usr/lib/libXcursor.so.1.0.2
:479cc000-479ce000 r-xp 00000000 08:01 144008     /usr/lib/libXdamage.so.1.1.0
:479ce000-479cf000 rw-p 00001000 08:01 144008     /usr/lib/libXdamage.so.1.1.0
:479d1000-479dc000 r-xp 00000000 08:01 138121     /usr/lib/libpangocairo-1.0.so.0.2800.4
:479dc000-479dd000 rw-p 0000a000 08:01 138121     /usr/lib/libpangocairo-1.0.so.0.2800.4
:479df000-47a0b000 r-xp 00000000 08:01 137948     /usr/lib/libpangoft2-1.0.so.0.2800.4
:47a0b000-47a0c000 rw-p 0002b000 08:01 137948     /usr/lib/libpangoft2-1.0.so.0.2800.4
:47a0e000-47a10000 r-xp 00000000 08:01 139105     /usr/lib/libXinerama.so.1.0.0
:47a10000-47a11000 rw-p 00001000 08:01 139105     /usr/lib/libXinerama.so.1.0.0
:47a13000-47a5a000 r-xp 00000000 08:01 134835     /usr/lib/libpango-1.0.so.0.2800.4
:47a5a000-47a5c000 rw-p 00046000 08:01 134835     /usr/lib/libpango-1.0.so.0.2800.4
:47a5e000-47a60000 r-xp 00000000 08:01 143037     /usr/lib/libXcomposite.so.1.0.0
:47a60000-47a61000 rw-p 00001000 08:01 143037     /usr/lib/libXcomposite.so.1.0.0
:47a63000-47a6a000 r-xp 00000000 08:01 139593     /usr/lib/libXrandr.so.2.2.0
:47a6a000-47a6b000 rw-p 00006000 08:01 139593     /usr/lib/libXrandr.so.2.2.0
:47a6d000-47a8a000 r-xp 00000000 08:01 147700     /usr/lib/libatk-1.0.so.0.9.1
:47a8a000-47a8c000 rw-p 0001c000 08:01 147700     /usr/lib/libatk-1.0.so.0.9.1
:47a8e000-47ad5000 r-xp 00000000 08:01 29762      /lib/libdbus-1.so.3.5.4
:47ad5000-47ad6000 ---p 00047000 08:01 29762      /lib/libdbus-1.so.3.5.4
:47ad6000-47ad7000 r--p 00047000 08:01 29762      /lib/libdbus-1.so.3.5.4
:47ad7000-47ad8000 rw-p 00048000 08:01 29762      /lib/libdbus-1.so.3.5.4
:47ada000-47b93000 r-xp 00000000 08:01 147549     /usr/lib/libgdk-x11-2.0.so.0.2400.4
:47b93000-47b96000 rw-p 000b9000 08:01 147549     /usr/lib/libgdk-x11-2.0.so.0.2400.4
:47bdf000-47be3000 r-xp 00000000 08:01 139885     /usr/lib/libcanberra-gtk.so.0.1.8
:47be3000-47be4000 rw-p 00003000 08:01 139885     /usr/lib/libcanberra-gtk.so.0.1.8
:47ce8000-48189000 r-xp 00000000 08:01 147701     /usr/lib/libgtk-x11-2.0.so.0.2400.4
:48189000-4818f000 rw-p 004a1000 08:01 147701     /usr/lib/libgtk-x11-2.0.so.0.2400.4
:4818f000-48190000 rw-p 00000000 00:00 0 
:48192000-48199000 r-xp 00000000 08:01 29764      /lib/libcrypt-2.14.so
:48199000-4819a000 r--p 00007000 08:01 29764      /lib/libcrypt-2.14.so
:4819a000-4819b000 rw-p 00008000 08:01 29764      /lib/libcrypt-2.14.so
:4819b000-481c2000 rw-p 00000000 00:00 0 
:482cc000-48315000 r-xp 00000000 08:01 29763      /lib/libfreebl3.so
:48315000-48316000 rw-p 00048000 08:01 29763      /lib/libfreebl3.so
:48316000-4831a000 rw-p 00000000 00:00 0 
:48409000-4840f000 r-xp 00000000 08:01 155795     /usr/lib/libogg.so.0.7.1
:4840f000-48410000 rw-p 00005000 08:01 155795     /usr/lib/libogg.so.0.7.1
:4841b000-4843f000 r-xp 00000000 08:01 152685     /usr/lib/libdbus-glib-1.so.2.1.0
:4843f000-48440000 rw-p 00024000 08:01 152685     /usr/lib/libdbus-glib-1.so.2.1.0
:4883a000-48864000 r-xp 00000000 08:01 155842     /usr/lib/libvorbis.so.0.4.5
:48864000-48865000 rw-p 00029000 08:01 155842     /usr/lib/libvorbis.so.0.4.5
:48867000-48876000 r-xp 00000000 08:01 29768      /lib/libudev.so.0.11.1
:48876000-48877000 r--p 0000e000 08:01 29768      /lib/libudev.so.0.11.1
:48877000-48878000 rw-p 0000f000 08:01 29768      /lib/libudev.so.0.11.1
:489ca000-489d3000 r-xp 00000000 08:01 150004     /usr/lib/libltdl.so.7.3.0
:489d3000-489d4000 rw-p 00008000 08:01 150004     /usr/lib/libltdl.so.7.3.0
:48b5c000-48b64000 r-xp 00000000 08:01 152701     /usr/lib/libvorbisfile.so.3.3.4
:48b64000-48b65000 rw-p 00007000 08:01 152701     /usr/lib/libvorbisfile.so.3.3.4
:48b67000-48b77000 r-xp 00000000 08:01 168432     /usr/lib/libcanberra.so.0.2.5
:48b77000-48b78000 rw-p 0000f000 08:01 168432     /usr/lib/libcanberra.so.0.2.5
:48b7d000-48b8e000 r-xp 00000000 08:01 156070     /usr/lib/libtdb.so.1.2.9
:48b8e000-48b8f000 rw-p 00010000 08:01 156070     /usr/lib/libtdb.so.1.2.9
:b62a1000-b6301000 rw-s 00000000 00:04 37912581   /SYSV00000000 (deleted)
:b6301000-b6309000 r--p 00000000 08:01 141444     /usr/share/locale/ru/LC_MESSAGES/gdk-pixbuf.mo
:b6309000-b6323000 r--s 00000000 08:01 139104     /usr/share/mime/mime.cache
:b6323000-b6f4a000 r--p 00000000 08:01 142837     /usr/share/icons/hicolor/icon-theme.cache
:b6f4a000-b74aa000 r--p 00000000 08:01 46281      /usr/share/icons/Mist/icon-theme.cache
:b74aa000-b74fc000 r--p 00000000 08:01 132489     /usr/share/icons/Fedora/icon-theme.cache
:b74fc000-b7517000 r--p 00000000 08:01 138466     /usr/share/locale/ru/LC_MESSAGES/glib20.mo
:b7517000-b751a000 r--p 00000000 08:01 139211     /usr/share/locale/ru/LC_MESSAGES/atk10.mo
:b751a000-b753b000 r--p 00000000 08:03 1704607    /home/misha/.fonts/webcore/trebuc.ttf
:b753b000-b753e000 r--s 00000000 08:01 7297       /var/cache/fontconfig/87f5e051180a7a75f16eb6fe7dbd3749-le32d4.cache-3
:b753e000-b7544000 r--s 00000000 08:01 7230       /var/cache/fontconfig/b79f3aaa7d385a141ab53ec885cc22a8-le32d4.cache-3
:b7544000-b754a000 r--s 00000000 08:03 3801784    /home/misha/.fontconfig/d5742258fde484c0547319ecb637db31-le32d4.cache-3
:b754a000-b7560000 r--s 00000000 08:03 3801783    /home/misha/.fontconfig/ec62a8703d77039e3892225205755c13-le32d4.cache-3
:b7560000-b7562000 r--s 00000000 08:03 3801918    /home/misha/.fontconfig/c5f855a17a9b24e65c755dfd0b2b5f4e-le32d4.cache-3
:b7562000-b7567000 r--s 00000000 08:03 3801937    /home/misha/.fontconfig/9e10ef87d9b9a23654bd6e70ae8267ba-le32d4.cache-3
:b7567000-b7569000 r--s 00000000 08:01 5579       /var/cache/fontconfig/0b1bcc92b4d25cc154d77dafe3bceaa0-le32d4.cache-3
:b7569000-b756b000 r--s 00000000 08:01 26806      /var/cache/fontconfig/2e1514a9fdd499050989183bb65136db-le32d4.cache-3
:b756b000-b756d000 r--s 00000000 08:01 5577       /var/cache/fontconfig/5c755b2f27115486aa6359c84dd3cbda-le32d4.cache-3
:b756d000-b756e000 r--s 00000000 08:01 5576       /var/cache/fontconfig/3f821257dd33660ba7bbb45c32deb84c-le32d4.cache-3
:b756e000-b7570000 r--s 00000000 08:01 5575       /var/cache/fontconfig/830f035fa84a65ce80e050178dbb630d-le32d4.cache-3
:b7570000-b7571000 r--s 00000000 08:01 5574       /var/cache/fontconfig/81a173283b451552b599cfaafd6236bd-le32d4.cache-3
:b7571000-b7572000 r--s 00000000 08:01 5573       /var/cache/fontconfig/ac68f755438cc3dc5a526084839fc7ca-le32d4.cache-3
:b7572000-b7573000 r--s 00000000 08:01 5572       /var/cache/fontconfig/12513961c6e7090f8648812f9eaf65d6-le32d4.cache-3
:b7573000-b7575000 r--s 00000000 08:01 5571       /var/cache/fontconfig/e26bf336397aae6fcef4d3803472adec-le32d4.cache-3
:b7575000-b7576000 r--s 00000000 08:01 5570       /var/cache/fontconfig/a5c2dc934fad9bbf30c854216245519d-le32d4.cache-3
:b7576000-b7577000 r--s 00000000 08:01 5569       /var/cache/fontconfig/17e60ccdf2eb53b214a9a5d6663eb217-le32d4.cache-3
:b7577000-b7578000 r--s 00000000 08:01 25241      /var/cache/fontconfig/6fcb01a03a016cc71057b587cdea6709-le32d4.cache-3
:b7578000-b7579000 r--s 00000000 08:01 5568       /var/cache/fontconfig/b887eea8f1b96e1d899b44ed6681fc27-le32d4.cache-3
:b7579000-b757a000 r--s 00000000 08:01 5567       /var/cache/fontconfig/860639f272b8b4b3094f9e399e41bccd-le32d4.cache-3
:b757a000-b757b000 r--s 00000000 08:01 5566       /var/cache/fontconfig/211368abcb0ff835c229ff05c9ec01dc-le32d4.cache-3
:b757b000-b757c000 r--s 00000000 08:01 5565       /var/cache/fontconfig/c46020d7221988a13df853d2b46304fc-le32d4.cache-3
:b757c000-b757d000 r--s 00000000 08:01 42194      /var/cache/fontconfig/df893b4576ad6107f9397134092c4059-le32d4.cache-3
:b757d000-b757e000 r--s 00000000 08:01 5563       /var/cache/fontconfig/900402270e15d763a6e008bb2d4c7686-le32d4.cache-3
:b757e000-b757f000 r--s 00000000 08:01 27293      /var/cache/fontconfig/47f48679023f44a4d1e44699a69464f6-le32d4.cache-3
:b757f000-b7580000 r--s 00000000 08:01 5561       /var/cache/fontconfig/2881ed3fd21ca306ddad6f9b0dd3189f-le32d4.cache-3
:b7580000-b7581000 r--s 00000000 08:01 5560       /var/cache/fontconfig/3c3fb04d32a5211b073874b125d29701-le32d4.cache-3
:b7581000-b7582000 r--s 00000000 08:01 5559       /var/cache/fontconfig/e61abf8156cc476151baa07d67337cae-le32d4.cache-3
:b7582000-b7585000 r--s 00000000 08:01 29529      /var/cache/fontconfig/b67b32625a2bb51b023d3814a918f351-le32d4.cache-3
:b7585000-b7586000 r--s 00000000 08:01 5557       /var/cache/fontconfig/d3379abda271c4acd2ad0c01f565d0b0-le32d4.cache-3
:b7586000-b7587000 r--s 00000000 08:01 5556       /var/cache/fontconfig/b4d0b56f766d89640448751fcd18ec1e-le32d4.cache-3
:b7587000-b758e000 r--s 00000000 08:01 5555       /var/cache/fontconfig/12b26b760a24f8b4feb03ad48a333a72-le32d4.cache-3
:b758e000-b758f000 r--s 00000000 08:01 5554       /var/cache/fontconfig/3640555adad8a8f6978400293cfce7ab-le32d4.cache-3
:b758f000-b75bb000 r--p 00000000 08:01 137722     /usr/share/locale/ru/LC_MESSAGES/libc.mo
:b75bb000-b75d4000 r--p 00000000 08:01 168609     /usr/share/locale/ru/LC_MESSAGES/gtk20.mo
:b75d4000-b77d4000 r--p 00000000 08:01 168486     /usr/lib/locale/locale-archive
:b77d4000-b77de000 rw-p 00000000 00:00 0 
:b77eb000-b77f2000 r--s 00000000 08:01 139540     /usr/lib/gconv/gconv-modules.cache
:b77f2000-b77f3000 r--p 00000000 08:01 158539     /usr/share/locale/ru/LC_MESSAGES/lxtask.mo
:b77f3000-b77f4000 rw-p 00000000 00:00 0 
:bfac0000-bfae1000 rw-p 00000000 00:00 0          [stack]

var_log_messages:
:Aug 20 19:18:35 mini kernel: [183189.785355] lxtask[16204]: segfault at 0 ip 471d2818 sp bfae038c error 4 in libc-2.14.so[470a2000+185000]
:Aug 20 19:18:36 mini abrt[17723]: saved core dump of pid 16204 (/usr/bin/lxtask) to /var/spool/abrt/ccpp-2011-08-20-19:18:35-16204.new/coredump (8806400 bytes)

xsession_errors:
:(lxtask:16204): GLib-GObject-WARNING **: invalid uninstantiatable type `(null)' in cast to `GtkProgressBar'
:(lxtask:16204): Gtk-CRITICAL **: IA__gtk_progress_bar_get_text: assertion `GTK_IS_PROGRESS_BAR (pbar)' failed
Comment 1 Misha Shnurapet 2011-08-20 07:40:19 EDT
Created attachment 519138 [details]
File: backtrace
Comment 2 masami256 2011-09-10 11:06:27 EDT
It seems that lxtask was releasing gtk objects but refresh_task_list() was called by timer handler. Then it accessed a null pointer in line 149 in the functions.c.
if(strcmp(tooltip,gtk_progress_bar_get_text(GTK_PROGRESS_BAR(mem_usage_progress_bar))))
I think it is safe to remove timer handler when lxtask is going to finish.
Comment 3 masami256 2011-09-10 11:07:40 EDT
Created attachment 522532 [details]
Remove timer handler in on_quit()
Comment 4 Simon A. Erat 2011-10-02 11:00:46 EDT
Package: lxtask-0.1.3-2.fc15
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
Trying to install a dos4gw game in wine.
Comment 5 Christoph Wickert 2011-10-16 05:25:11 EDT
Thanks for submitting this
Comment 6 Fedora Update System 2012-03-03 14:30:15 EST
lxtask-0.1.4-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/lxtask-0.1.4-2.fc17
Comment 7 Fedora Update System 2012-03-03 14:31:50 EST
lxtask-0.1.4-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/lxtask-0.1.4-2.fc16
Comment 8 Fedora Update System 2012-03-03 14:33:29 EST
lxtask-0.1.4-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/lxtask-0.1.4-2.fc15
Comment 9 Fedora Update System 2012-03-08 23:54:16 EST
lxtask-0.1.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2012-03-17 19:42:51 EDT
lxtask-0.1.4-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-03-17 20:02:53 EDT
lxtask-0.1.4-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.